###

#

channels_are_compatible< T1, T2 > Struct Template Reference
Channel » Algorithms and Utility Functions

Predicate metafunction returning whether two channels are compatible. More...

`#include <channel.hpp>`

Inherits is_same< channel_traits< T1 >::value_type, channel_traits< T2 >::value_type >.

## Detailed Description

### template<typename T1, typename T2>
struct boost::gil::channels_are_compatible< T1, T2 >

Predicate metafunction returning whether two channels are compatible.

Channels are considered compatible if their value types (ignoring constness and references) are the same.

Example:

static_assert(channels_are_compatible<uint8_t, const uint8_t&>::value, "");

The documentation for this struct was generated from the following file:

- concepts/channel.hpp